Page MenuHomePhabricator

[Clang] Add DriverKit support
ClosedPublic

Authored by egorzhdan on Mar 17 2022, 6:49 AM.

Details

Summary

This is the second patch that upstreams the support for Apple's DriverKit.

The first patch: https://reviews.llvm.org/D118046.

Diff Detail

Event Timeline

egorzhdan created this revision.Mar 17 2022, 6:49 AM
Herald added a project: Restricted Project. · View Herald Transcript
egorzhdan requested review of this revision.Mar 17 2022, 6:49 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 17 2022, 6:49 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
egorzhdan updated this revision to Diff 416920.Mar 21 2022, 7:07 AM

Fix clang-format warnings

arphaman accepted this revision.May 12 2022, 8:15 AM
arphaman added a subscriber: NoQ.

LGTM, with one request.

Can you please take the static analyzer changes (RetainSummaryManager.h/cpp) and make them into a separate patch? Please add @NoQ as a reviewer for that change.

Then feel free to land the remaining driver kit changes in this patch as one commit.

This revision is now accepted and ready to land.May 12 2022, 8:15 AM

Remove static analyzer changes

This revision was landed with ongoing or failed builds.May 13 2022, 12:35 PM
This revision was automatically updated to reflect the committed changes.